(function( $ ){
	var add_email_users = $('#add_email_users');
	$( window ).on( 'load', function(){
		
		$( document ).on( 'click', '.send_users_email', function( e ){
			e.preventDefault();
			
			$.ajax({
				url : js_obj.ajaxUrl,
				type : 'post',
				data : {
					action : 'send_email_notification',
					emails : add_email_users.val(),
					post_id : $( this ).attr( 'id' ),
					security_nonce : js_obj.send_nonce
				},
				success : function( response ) {
					
					if( response.data.error ){
						
						alert( response.data.error );
						
						add_email_users.val('');
						
						return false;
						
					} else {
						
						alert( response.data.email_send );
						add_email_users.val('');
					}
					
				}
			});
			
		});
		
	});
	
	
})( jQuery );